From cbcb968358fad56f3646619b258f18b0e6693a07 Mon Sep 17 00:00:00 2001
From: Jeff Long <willcode4@gmail.com>
Date: Wed, 25 Nov 2020 09:44:55 -0500
Subject: [PATCH 1/2] Boost placeholder scope required (using
 boost::placeholders)

---
 gnuradio-runtime/include/gnuradio/basic_block.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnuradio-runtime/include/gnuradio/basic_block.h b/gnuradio-runtime/include/gnuradio/basic_block.h
index 1d31e2e9b8..0aace8f38d 100644
--- a/gnuradio-runtime/include/gnuradio/basic_block.h
+++ b/gnuradio-runtime/include/gnuradio/basic_block.h
@@ -41,7 +41,7 @@
 #include <gnuradio/rpcregisterhelpers.h>
 
 namespace gr {
-
+using namespace boost::placeholders;
 /*!
  * \brief The abstract base class for all signal processing blocks.
  * \ingroup internal

From 951b16756934f28bc3da4b3c442651b2fbe79b05 Mon Sep 17 00:00:00 2001
From: Jeff Long <willcode4@gmail.com>
Date: Wed, 25 Nov 2020 11:05:56 -0500
Subject: [PATCH 2/2] boost bind: make placeholder namespace conditional on
 boost version

---
 gnuradio-runtime/include/gnuradio/basic_block.h | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/gnuradio-runtime/include/gnuradio/basic_block.h b/gnuradio-runtime/include/gnuradio/basic_block.h
index 0aace8f38d..c57c1cf553 100644
--- a/gnuradio-runtime/include/gnuradio/basic_block.h
+++ b/gnuradio-runtime/include/gnuradio/basic_block.h
@@ -33,6 +33,9 @@
 #include <boost/foreach.hpp>
 #include <boost/function.hpp>
 #include <boost/thread/condition_variable.hpp>
+#if (BOOST_VERSION >= 106000)
+#include <boost/bind/bind.hpp>
+#endif
 #include <deque>
 #include <iostream>
 #include <map>
@@ -41,7 +44,9 @@
 #include <gnuradio/rpcregisterhelpers.h>
 
 namespace gr {
+#if (BOOST_VERSION >= 106000)
 using namespace boost::placeholders;
+#endif
 /*!
  * \brief The abstract base class for all signal processing blocks.
  * \ingroup internal